Lucene91HnswVectorsReader (Lucene 10.5.0 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene91, class: Lucene91HnswVectorsReader

Package org.apache.lucene.backward_codecs.lucene91

# Class Lucene91HnswVectorsReader

java.lang.Object
org.apache.lucene.codecs.KnnVectorsReader
org.apache.lucene.backward_codecs.lucene91.Lucene91HnswVectorsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class Lucene91HnswVectorsReader extends KnnVectorsReader
Reads vectors from the index segments along with index data structures supporting KNN search.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIntegrity()`
  `void`
  `close()`
  `ByteVectorValues`
  `getByteVectorValues(String field)`
  `FloatVectorValues`
  `getFloatVectorValues(String field)`
  `Map<String,Long>`
  `getOffHeapByteSize(FieldInfo fieldInfo)`
  `void`
  `search(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  `search(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`

  ### Methods inherited from class org.apache.lucene.codecs.KnnVectorsReader

  `finishMerge, getMergeInstance, mergeOffHeapByteSizeMaps`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### checkIntegrity

    public void checkIntegrity() throws IOException
    Specified by:
      `checkIntegrity` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### getFloatVectorValues

    public FloatVectorValues getFloatVectorValues(String field) throws IOException
    Specified by:
      `getFloatVectorValues` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### getByteVectorValues

    public ByteVectorValues getByteVectorValues(String field) throws IOException
    Specified by:
      `getByteVectorValues` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### search

    public void search(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs) throws IOException
    Specified by:
      `search` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### search

    public void search(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs) throws IOException
    Specified by:
      `search` in class `KnnVectorsReader`
    Throws:
      `IOException`

  - ### getOffHeapByteSize

    public Map<String,Long> getOffHeapByteSize(FieldInfo fieldInfo)
    Overrides:
      `getOffHeapByteSize` in class `KnnVectorsReader`

  - ### close

    public void close() throws IOException
    Throws:
      `IOException`